#ifndef _Split_HPP_
#define _Split_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"
#include <vector>

using namespace std;

class SplitSquare
{
public:
    Vector v1,v2,v3,v4;
    Vector color;
};

class Split : public Base
{
	public:

		Split();
		~Split();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:

        void divide(SplitSquare *s, int generation);
        vector<SplitSquare*> drawlist;
		void renderScene(float pos, float alpha);
};

#endif
